libzypp 17.37.10

zypp::media::MediaVerifierBase Class Referenceabstract

Interface to implement a media verifier. More...

`#include <zypp/media/MediaManager.h>`

Inheritance diagram for zypp::media::MediaVerifierBase:

## Public Member Functions
| MediaVerifierBase ()
virtual | ~MediaVerifierBase ()
virtual std::string | info () const
| Returns a string with some info about the verifier.
virtual bool | isDesiredMedia (const MediaHandler &ref) const =0

## Detailed Description

Interface to implement a media verifier.

Definition at line 47 of file MediaManager.h.

## Constructor & Destructor Documentation

## ◆ MediaVerifierBase()

zypp::media::MediaVerifierBase::MediaVerifierBase | ( |  | ) |
| inline

Definition at line 50 of file MediaManager.h.

## ◆ ~MediaVerifierBase()

virtual zypp::media::MediaVerifierBase::~MediaVerifierBase | ( |  | ) |
| inline virtual

Definition at line 53 of file MediaManager.h.

## Member Function Documentation

## ◆ info()

std::string zypp::media::MediaVerifierBase::info | ( |  | ) | const
| virtual

Returns a string with some info about the verifier.

By default, the type info name is returned.

Reimplemented in zypp::media::NoVerifier.

Definition at line 191 of file MediaManager.cc.

## ◆ isDesiredMedia()

virtual bool zypp::media::MediaVerifierBase::isDesiredMedia | ( | const MediaHandler & | ref | ) | const
| pure virtual

Implemented in zypp::media::NoVerifier, and zypp::repo::SUSEMediaVerifier.

The documentation for this class was generated from the following files:

- zypp/media/MediaManager.h
- zypp/media/MediaManager.cc